Must-have, DOES work w/ FF4 Rated 5 out of 5 stars

As far as I can tell BarTab does work with FF4 once the "max version" details in the XPI are modified. I have it installed and it appears to work as expected. So here's what you do, beginner-style:
(1) download the XPI from here or SnapFiles
(2) open about:config and navigate to "browser.sessionstore.max_concurrent_tabs", right-click and select RESET
(3) use a zipfile manager (these instructions are for 7-Zip) to open the XPI, right-click "INSTALL.RDF" and select EDIT
(4) locate the "maxVersion" tags and change the numerical value to " 4.0.* " w/o quotes
(5) save the updated archive (yes to update prompts) and install to FF
(6) return to about:config, filter "browser.sessionstore.max_concurrent_tabs" and change to value 0
(7) configure BarTab to not load tabs opened in background
Voila!

This user has a previous review of this add-on.